Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 532156 - =dev-lang/perl-5.20.1-r3 with FEATURES=network-sandbox fails tests ../cpan/IO-Socket-IP/t/15io-socket.t ../cpan/IO-Socket-IP/t/16v6only.t
Summary: =dev-lang/perl-5.20.1-r3 with FEATURES=network-sandbox fails tests ../cpan/IO...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 540092
  Show dependency tree
 
Reported: 2014-12-10 14:50 UTC by eroen
Modified: 2015-02-14 23:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-lang:perl-5.20.1-r3:20141210-143355.log.xz (dev-lang:perl-5.20.1-r3:20141210-143355.log.xz,82.38 KB, application/x-xz)
2014-12-10 14:50 UTC, eroen
Details
gentoo/io_socket_ip_tests.diff (io_socket_ip_tests.diff,824 bytes, patch)
2015-02-14 21:49 UTC, Kent Fredric (IRC: kent\n)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2014-12-10 14:50:48 UTC
Created attachment 391366 [details]
dev-lang:perl-5.20.1-r3:20141210-143355.log.xz

Note: porting/customized.t also fails as per bug 519958.


...
../cpan/IO-Compress/t/050interop-gzip.t ........................... ok  
===(   16306;101  6/8  1/?  0/?  0/? )==================================
#   Failed test ''IO::Socket->new( Domain => AF_INET )' isa 'IO::Socket::IP''
#   at t/15io-socket.t line 20.
#     'IO::Socket->new( Domain => AF_INET )' isn't defined

#   Failed test ''IO::Socket->new( Domain => AF_INET6 )' isa 'IO::Socket::IP''
#   at t/15io-socket.t line 45.
#     'IO::Socket->new( Domain => AF_INET6 )' isn't defined
#   error was Name or service not known
# Looks like you failed 2 tests of 4.
../cpan/IO-Socket-IP/t/15io-socket.t .............................. Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/4 subtests 
../cpan/ExtUtils-MakeMaker/t/config.t ............................. ok  
===(   16312;102  6/8  0/?  0/? )=======================================Cannot listen on PF_INET6 - Name or service not known at t/16v6only.t line 22.
../cpan/IO-Socket-IP/t/16v6only.t ................................. Dubious, test returned 22 (wstat 5632, 0x1600)
No subtests run 
../cpan/IO-Socket-IP/t/17gai-flags.t .............................. ok
...
Test Summary Report
-------------------
porting/customized.t                                            (Wstat: 0 Tests: 30 Failed: 1)
  Failed test:  2
../cpan/IO-Socket-IP/t/15io-socket.t                            (Wstat: 512 Tests: 4 Failed: 2)
  Failed tests:  1, 3
  Non-zero exit status: 2
../cpan/IO-Socket-IP/t/16v6only.t                               (Wstat: 5632 Tests: 0 Failed: 0)
  Non-zero exit status: 22
  Parse errors: No plan found in TAP output
Files=2405, Tests=699328, 274 wallclock secs (85.30 usr  9.89 sys + 570.65 cusr 70.79 csys = 736.63 CPU)
Result: FAIL
makefile:839: recipe for target 'test_harness' failed
make: *** [test_harness] Error 3
 * ERROR: dev-lang/perl-5.20.1-r3::gentoo failed (test phase):
 *   test failed
 *
 * Call stack:
 *                  ebuild.sh, line   93:  Called src_test
 *                environment, line 2856:  Called eblit-run 'src_test' 'v50160001'
 *                environment, line  945:  Called eblit-perl-src_test
 *   src_test-v50160001.eblit, line   11:  Called die
 * The specific snippet of code:
 *      TEST_JOBS="$(makeopts_jobs)" make test_harness || die "test failed"
Comment 1 eroen 2014-12-10 14:55:12 UTC
eroen@falcon ~ $ emerge --info '=dev-lang/perl-5.20.1-r3::gentoo'
Portage 2.2.15 (python 2.7.8-final-0, default/linux/amd64/13.0, gcc-4.9.1, glibc-2.20, 3.16.3.e0-falcon1+ x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.16.3.e0-falcon1+-x86_64-Intel-R-_Core-TM-2_Quad_CPU_@_2.40GHz-with-gentoo-2.2
KiB Mem:     4043320 total,    153852 free
KiB Swap:    8388604 total,   6825872 free
Timestamp of tree: Wed, 10 Dec 2014 12:45:01 +0000
sh bash 4.3_p30-r1
ld GNU ld (GNU Binutils) 2.24
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2 [disabled]
app-shells/bash:          4.3_p30-r1
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1
dev-lang/python:          2.7.8, 3.2.5-r6, 3.3.5-r1, 3.4.2
dev-util/ccache:          3.2
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.6
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r4, 1.11.6-r1, 1.12.6, 1.13.4, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.5.4, 4.6.4, 4.7.4, 4.8.3, 4.9.1
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.3-r2
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.17-r1 (virtual/os-headers)
sys-libs/glibc:           2.20
Repositories: gentoo crossdev gamerlay eroen
ACCEPT_KEYWORDS="amd64 ~amd64 ~x86"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/var/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 3 --nospinner --quiet-build --verbose-conflicts --with-bdeps=y --binpkg-respect-use y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS=""
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4 -l6"
PKGDIR="/var/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /var/lib/layman/gamerlay /var/lib/layman/eroen"
USE="X a52 aac acl alsa amd64 ao berkdb bluray bs2b bzip2 cairo calendar caps cdda cdio cli cracklib crypt cups curl cxx dbus djvu dri dts dvd exif fam ffmpeg fftw fits flac fontconfig fortran fuse gcrypt gd gdbm gif gimp git gmp gnutls gstreamer highlight iconv icu id3tag idn imagemagick ipv6 jpeg jpeg2k kde ladspa lcms libass libcaca libnotify lzma lzo mad midi mikmod mms mmx mmxext mng modplug modules mp3 mp4 mpeg mplayer mtp multilib musepack ncurses netlink nls nptl offensive ogg openal opencl openexr opengl openmp opus pam pango pcre pdf png pnm portaudio postscript qalculate qt3support qt4 rar raw readline rtmp samba scanner session sndfile speex sse sse2 sse3 ssl ssse3 svg tcpd theora threads tiff truetype udev unicode usb v4l vdpau vnc vorbis wavpack webp wmf x264 xattr xcb xft xine xinerama xrandr xv xvid zlib" ABI_X86="32 64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc qemu" INPUT_DEVICES="evdev keyboard mouse synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver" LINGUAS="en en_US en_GB nb no nb_NO" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2 python3_3 python3_4" QEMU_SOFTMMU_TARGETS="m68k ppc x86_64" RUBY_TARGETS="ruby20" SANE_BACKENDS="net plustek pnm" USERLAND="GNU" VIDEO_CARDS="nouveau nvidia vesa" XFCE_PLUGINS="clock trash" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.2 3.3 3.4"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC

eroen@falcon ~ $ emerge -pqv '=dev-lang/perl-5.20.1-r3::gentoo'
[ebuild     U ] dev-lang/perl-5.20.1-r3 [5.20.1] USE="-berkdb -debug -doc -gdbm -ithreads" 

!!! The following installed packages are masked:
- dev-db/mysql-5.5.37-r1::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Sergey Popov <pinkbyte@gentoo.org> (04 Sep 2014)
# Security mask, wrt bugs #488212, #498164, #500260,
# #507802 and #518718

- app-antivirus/clamav-0.98.4::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Sergey Popov <pinkbyte@gentoo.org> (09 Dec 2014)
# Security mask, wrt bug #529728

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2015-02-14 21:49:36 UTC
Created attachment 396466 [details, diff]
gentoo/io_socket_ip_tests.diff

I'm toying with this patch in for 5.20.2.

For now I thin we can just set the ENV var to always be on and then if we care about it, we can turn it off outside FEATURES=network-sandbox.

Because I don't think that test can be expected to pass inside sandbox.
Comment 3 Andreas K. Hüttel gentoo-dev 2015-02-14 23:26:52 UTC
Fixed in 5.20.2